> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Settings



## OpenAPI

````yaml /openapi.json get /api/v1/settings
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/settings:
    get:
      tags:
        - Settings
        - settings
      summary: Get Settings
      operationId: get_settings_api_v1_settings_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SettingsResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    SettingsResponse:
      properties:
        display_name:
          type: string
          title: Display Name
        default_currency:
          type: string
          title: Default Currency
        email_notifications:
          type: boolean
          title: Email Notifications
        marketing_emails:
          type: boolean
          title: Marketing Emails
      type: object
      required:
        - display_name
        - default_currency
        - email_notifications
        - marketing_emails
      title: SettingsResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````